Bug 522755 - RFE: enable regex in 'X changedto Y && X changedby .*@redhat.com' type queries
Summary: RFE: enable regex in 'X changedto Y && X changedby .*@redhat.com' type queries
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Bugzilla
Classification: Community
Component: Query/Bug List
Version: 3.6
Hardware: All
OS: Linux
low
medium vote
Target Milestone: ---
Assignee: PnT DevOps Devs
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 631001
TreeView+ depends on / blocked
 
Reported: 2009-09-11 10:43 UTC by Chris Ward
Modified: 2013-06-24 02:05 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-02-29 12:12:38 UTC


Attachments (Terms of Use)

Description Chris Ward 2009-09-11 10:43:37 UTC
Description of problem:
Currently, if I want to find all bugs which X field was changed to Y and X field was changed by anyone that matches @redhat.com, i would have to get a list of all possible @redhat.com address and manually execute the search one address at a time and then merge the respective results.

This is an undesirable workaround for what I believe could be more easily done if the following syntax functioned:

X changedto Y && X changedby .*@redhat.com

Or some variant of it. Enabling reg-ex in (changedto,changedby,changedfrom) operators would be /very/ helpful.

Any recommendations for alternative workarounds / solutions welcome.

Comment 1 Chris Ward 2009-09-11 10:46:00 UTC
https://bugzilla.redhat.com/buglist.cgi?query_format=advanced&field0-0-0=bug_status&type0-0-0=changedto&value0-0-0=FAILS_QA&field0-1-0=bug_status&type0-1-0=changedby&value0-1-0=.%2A%40redhat.com

Example search that I would like to be able to execute. If it could be done based on Confidential Groups too... ie, changedby 'Red Hat Quality Assurance (internal)' that would ROCK! even harder!!! but i should file a separate ticket for that, eh?

Comment 2 Chris Ward 2009-09-11 10:51:10 UTC
changedbygroup request filed. See

Bug 522758 -  RFE: search 'X changedby GROUP'

Comment 3 David Lawrence 2010-01-15 17:32:48 UTC
Red Hat Bugzilla is now using version 3.4 of the Bugzilla codebase and
therefore this feature will need to be implemented against the new release.
Updating bug version to 3.2.

Comment 4 David Lawrence 2010-08-25 21:43:07 UTC
Red Hat has now upgraded to Bugzilla 3.6 and this bug will now be reassigned to that version. It would be helpful to the Bugzilla Development Team if this bug is verified to still be an issue with the latest version. If it is no longer an issue, then feel free to close, otherwise please comment that it is still a problem and we will try to address the issue as soon as we can.

Thanks
Bugzilla Development Team

Comment 5 Chris Ward 2010-10-07 10:42:56 UTC
Still valid. 

Unable to search for partial usernames rather than complete. eg, @redhat.com to mean all users with @redhat.com in their name...

Comment 6 Chris Ward 2010-10-18 13:22:59 UTC
Along with this, 

"bug_status changed to VERIFIED AND bug_status changedbyANY user1,user1,user1"

where then you could search for all the users in your team at once for
aggregate count. Once this bug gets some attention, i'll split that into it's own bug if confirmed as feasible.

Comment 7 David Lawrence 2010-10-18 15:15:01 UTC
(In reply to comment #6)
> Along with this, 
> 
> "bug_status changed to VERIFIED AND bug_status changedbyANY user1,user1,user1"
> 
> where then you could search for all the users in your team at once for
> aggregate count. Once this bug gets some attention, i'll split that into it's
> own bug if confirmed as feasible.

To be honest, and I am by no means trying to get out of work, any bugs related to Bugzilla Search not doing something correctly or needs to so something it doesn't currently, will need to be pushed upstream as much as possible. For one, we just have myself, a part timer, and someone who is still ramping up working on BZ and several big projects going on. Secondly, the upstream (Max) is working on completely revamping the Search.pm backend to make query generation more intuitive and flexible and these types of queries need to be brought to their attention as early on. Until then, for quick fixes, it is best to access the raw data where you can generate your own queries if BZ doesn't do it currently.

Dave

Comment 8 Chris Ward 2012-02-29 12:12:38 UTC
This should be doable in 4.2; and what's not possible, i have other solutions available anyway.


Note You need to log in before you can comment on or make changes to this bug.